### Hierarchy

- unknown
  - DepositTxMessage

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getDepositTxId
- getDepositTxWithoutWitnesses
- getDepositTxWithoutWitnesses_asB64
- getDepositTxWithoutWitnesses_asU8
- getPubKeyRing
- getSenderNodeAddress
- getTradeFeeTxId
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setDepositTxId
- setDepositTxWithoutWitnesses
- setPubKeyRing
- setSenderNodeAddress
- setTradeFeeTxId
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DepositTxMessage(): DepositTxMessage

- Inherited from jspb.Message.constructor

  #### Returns DepositTxMessage

## Methods

### clearPubKeyRing

- clearPubKeyRing(): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1779

  #### Returns DepositTxMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1769

  #### Returns DepositTxMessage

### getDepositTxId

- getDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1784

  #### Returns string

### getDepositTxWithoutWitnesses

- getDepositTxWithoutWitnesses(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1771

  #### Returns string | Uint8Array

### getDepositTxWithoutWitnesses_asB64

- getDepositTxWithoutWitnesses_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1773

  #### Returns string

### getDepositTxWithoutWitnesses_asU8

- getDepositTxWithoutWitnesses_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1772

  #### Returns Uint8Array

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1776

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1766

  #### Returns undefined | NodeAddress

### getTradeFeeTxId

- getTradeFeeTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1781

  #### Returns string

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1763

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1760

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1778

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1768

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1787

  #### Returns Uint8Array

### setDepositTxId

- setDepositTxId(value: string): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1785

  #### Parameters

  - ##### value: string

  #### Returns DepositTxMessage

### setDepositTxWithoutWitnesses

- setDepositTxWithoutWitnesses(value: string | Uint8Array): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1774

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositTxMessage

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1777

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns DepositTxMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1767

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DepositTxMessage

### setTradeFeeTxId

- setTradeFeeTxId(value: string): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1782

  #### Parameters

  - ##### value: string

  #### Returns DepositTxMessage

### setTradeId

- setTradeId(value: string): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1764

  #### Parameters

  - ##### value: string

  #### Returns DepositTxMessage

### setUid

- setUid(value: string): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1761

  #### Parameters

  - ##### value: string

  #### Returns DepositTxMessage

### toObject

- toObject(includeInstance?: boolean): DepositTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1788

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DepositTxMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1791

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositTxMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositTxMessage, reader: BinaryReader): DepositTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1792

  #### Parameters

  - ##### message: DepositTxMessage

  - ##### reader: BinaryReader

  #### Returns DepositTxMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositTxMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1790

  #### Parameters

  - ##### message: DepositTxMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DepositTxMessage ): DepositTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1789

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositTxMessage

  #### Returns DepositTxMessage . AsObject

Generated using TypeDoc